gtk.CellRendererPixbuf
Prev | The gtk Class Reference | Next

## gtk.CellRendererPixbuf

gtk.CellRendererPixbuf — an object that renders a pixbuf into a `gtk.TreeView` cell

## Synopsis

    class gtk.CellRendererPixbuf(gtk.CellRenderer):
        gtk.CellRendererPixbuf()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererPixbuf

## gtk.CellRendererPixbuf Properties

gtk.Object Properties

gtk.CellRenderer Properties

"follow-state" | Read-Write | If `True` the rendered pixbuf should be colorized according to the GTK CellRenderer State Constants. This property is available in GTK+ 2.8 and above.
"gicon" | Read-Write | If `True` the GIcon representing the icon to display. If the icon theme is changed, the image will be updated automatically. This property is available in GTK+ 2.14 and above.
"icon-name" | Read-Write | The name of the themed icon to display. This property only has an effect if not overridden by "stock_id" or "pixbuf" properties. This property is available in GTK+ 2.8 and above.
"pixbuf" | Read/Write | The pixbuf to render.
"pixbuf-expander-closed" | Read/Write | Pixbuf for closed expander.
"pixbuf-expander-open" | Read/Write | Pixbuf for open expander.
"stock-detail" | Read/Write | Render detail to pass to the theme engine
"stock-id" | Read/Write | The stock ID of the stock icon to render
"stock-size" | Read/Write | The size of the rendered icon

## gtk.CellRendererPixbuf Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

## Description

The `gtk.CellRendererPixbuf` manages the rendering of a pixbuf into a `gtk.TreeView` cell.

## Constructor

        gtk.CellRendererPixbuf()

Returns : | the new cell renderer

Creates a new `gtk.CellRendererPixbuf`. Rendering parameters are adjusted using the object properties. The object properties can be set globally (with `set_property`()). Also, with `gtk.TreeViewColumn`, you can bind a property to a value in a `gtk.TreeModel`. For example, you can bind the "pixbuf" property on the cell renderer to a pixbuf value in the model, thus rendering a different image in each row of the `gtk.TreeView`.

Prev | Up | Next
gtk.CellRendererCombo | Home | gtk.CellRendererProgress